curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/folders/{folderId}/move/{newParentFolderId} \
--header 'Authorization: Bearer <token>'{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}これにより、フォルダーが現在の場所から新しい場所に移動し、このフォルダーの親が更新されて、指定された新しいIDになります。
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/folders/{folderId}/move/{newParentFolderId} \
--header 'Authorization: Bearer <token>'{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}サポートされる製品
必須スコープ
cms.membership.access_groups.writecrm.lists.readcrm.lists.write